Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.update
Class AvailablePlugin

    java.lang.Object
      org.jivesoftware.openfire.update.AvailablePlugin

    public class AvailablePlugin

extends Object

Plugin available at igniterealtime.org. The plugin may or may not be locally installed.

Author:
  Gaston Dombiak

Constructor Summary
`AvailablePlugin(String name, String description, String latestVersion, String author, String icon, String changelog, String readme, String licenseType, String minServerVersion, String url, String fileSize)`

Method Summary
`String` | `getAuthor()` Returns the author of the plugin as specified in plugin.xml.
`String` | `getChangelog()` Returns the URL to the change log of the plugin.
`String` | `getDescription()` Returns the description of the plugin as specified in plugin.xml.
`long` | `getFileSize()` Returns the size in bytes of the plugin jar file.
`int` | `getHashCode()` Returns the hash code for this object.
`String` | `getIcon()` Return the icon's URL of the latest version of the plugin.
`String` | `getLatestVersion()` Returns the latest version of the plugin that is not installed.
`String` | `getLicenseType()` Returns the type of license the plugin is being released under.
`String` | `getMinServerVersion()` Returns the minimum server version required by this plugin as specified in plugin.xml.
`String` | `getName()` Returns the name of the plugin that is not installed.
`String` | `getReadme()` Returns the URL to the README file of the latest version of the plugin.
`String` | `getURL()` Returns the URL from where the plugin.
`boolean` | `isCommercial()` Returns true if the plugin is commercial.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AvailablePlugin

    public AvailablePlugin(String name,
                           String description,
                           String latestVersion,
                           String author,
                           String icon,
                           String changelog,
                           String readme,
                           String licenseType,
                           String minServerVersion,
                           String url,
                           String fileSize)

Method Detail

### getName

    public String getName()

  Returns the name of the plugin that is not installed.

  Returns:
    the name of the plugin that is not installed.

### getLatestVersion

    public String getLatestVersion()

  Returns the latest version of the plugin that is not installed.

  Returns:
    the latest version of the plugin that is not installed.

### getIcon

    public String getIcon()

  Return the icon's URL of the latest version of the plugin.

  Returns:
    the icon's URL of the latest version of the plugin.

### getReadme

    public String getReadme()

  Returns the URL to the README file of the latest version of the plugin.

  Returns:
    the URL to the README file of the latest version of the plugin.

### getChangelog

    public String getChangelog()

  Returns the URL to the change log of the plugin.

  Returns:
    the URL to the change log of the plugin.

### getURL

    public String getURL()

  Returns the URL from where the plugin.

  Returns:
    the URL from where the plugin.

### getAuthor

    public String getAuthor()

  Returns the author of the plugin as specified in plugin.xml.

  Returns:
    author of the plugin as specified in plugin.xml.

### isCommercial

    public boolean isCommercial()

  Returns true if the plugin is commercial.

  Returns:
    true if the plugin is commercial.

### getLicenseType

    public String getLicenseType()

  Returns the type of license the plugin is being released under.

  Returns:
    the type of license of the plugin.

### getDescription

    public String getDescription()

  Returns the description of the plugin as specified in plugin.xml.

  Returns:
    description of the plugin as specified in plugin.xml.

### getMinServerVersion

    public String getMinServerVersion()

  Returns the minimum server version required by this plugin as specified in plugin.xml.

  Returns:
    minimum server version required by this plugin as specified in plugin.xml.

### getFileSize

    public long getFileSize()

  Returns the size in bytes of the plugin jar file.

  Returns:
    the size in bytes of the plugin jar file.

### getHashCode

    public int getHashCode()

  Returns the hash code for this object.

  Returns:
    the hash code.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.